﻿* Encoding: UTF-8.

*Run this code on a copy of the full original AVS 2021
    
*Rename several variables before saving them.

RENAME VARIABLES 
    relig=religion13.

RENAME VARIABLES 
    RELIG2=EvanChristian.

RENAME VARIABLES 
    ppage=age.

RENAME VARIABLES 
    ppethm=race.

RENAME VARIABLES 
    ppgender=gender.

RENAME VARIABLES 
    ppinc7=income7.

RENAME VARIABLES 
    xparty4=partyID.

RENAME VARIABLES 
    ppeducat=educ4.

RENAME VARIABLES 
    ppeduc5=educ5.


*Republican Dem dummy variables.

      COMPUTE Republican = 0.
              IF partyID = 1  Republican  = 1. 
              IF partyID > 8 Republican  = $SYSMIS.
            VARIABLE LABELS Republican "Republican".
            VALUE LABELS Republican
              0 "Not a Republican"
              1 "Republican"
            .
            EXECUTE.

     COMPUTE Democrat = 0.
              IF partyID = 2  Democrat  = 1. 
              IF partyID > 8 Democrat  = $SYSMIS.
            VARIABLE LABELS Democrat "Democrat".
            VALUE LABELS Democrat
              0 "Not a Democrat"
              1 "Democrat"
            .
            EXECUTE.

    COMPUTE NotDemOrRep = 0.
              IF Democrat = 1 OR Republican  = 1  NotDemOrRep = 1. 
              IF partyID > 8     NotDemOrRep  = $SYSMIS.
            VARIABLE LABELS NotDemOrRep "Neither a Democrat or Republican".
            VALUE LABELS NotDemOrRep
              0 "Neither a Democrat or Republican"
              1 "Is a Democrat or Republican"
            .
            EXECUTE.
       
*Create a dummy variable for Male respondents.
       
       CODEBOOK gender. 
       COMPUTE Male = $SYSMIS.
              IF gender = 1 Male  = 1. 
              IF gender > 1 Male  = 0.
            VARIABLE LABELS Male "R. is male".
            VALUE LABELS Male
              0 "Female"
              1 "Male"
            .
            EXECUTE.       
        
        DESCRIPTIVES VARIABLES=Male
          /STATISTICS=MEAN STDDEV MIN MAX.

*Create race dummy for Whites.

codebook race. 
RECODE race (1=1) (ELSE = 0) INTO white.
VARIABLE LABELS white "R. is white".
            VALUE LABELS white
              0 "Non-white"
              1 "R. is white"
            .
            EXECUTE.


*EvanProt dummy, includes Jehovah's Witness, Mormon, and generic Christians
    
    COMPUTE EvanProt= 0.
              IF (EvanChristian = 1 AND religion13  = 2) EvanProt = 1.  
              IF (EvanChristian = 1 AND religion13  = 3) EvanProt = 1. 
              IF (EvanChristian = 1 AND religion13  = 4) EvanProt = 1. 
              IF (EvanChristian = 1 AND religion13  = 11) EvanProt = 1.
            VARIABLE LABELS EvanProt "Evangelical Protestant".
            VALUE LABELS EvanProt
              1 "Evangelical Protestant"
              0 "Not an Evangelical Protestant"
            .
            EXECUTE.    
    
    
*AmericaWorseThan50YrsAgo.

    Compute AmericaWorseThan50YrsAgo = 0.
         IF Q4 = 2   AmericaWorseThan50YrsAgo = 1. 
         IF Q4 = -1   AmericaWorseThan50YrsAgo = $SYSMIS.
            VARIABLE LABELS AmericaWorseThan50YrsAgo "Since the 1950s, American culture and way of life has mostly changed for the worse".
            VALUE LABELS AmericaWorseThan50YrsAgo
              1 "American way of life changed for worse"
              0 "American life is better"
            .
            EXECUTE.
        

*GodGivesUSspecialRole4 reverse code original, deal with non-response.

     COMPUTE GodGivesUSspecialRole4 = 5 - Q11_b.
            IF Q11_b = -1    GodGivesUSspecialRole4 = $SYSMIS. 
            VARIABLE LABELS GodGivesUSspecialRole4 
                 "God has granted America a special role in human history?"
                  .
                 EXECUTE.				
            VALUE LABELS GodGivesUSspecialRole4
                1 "Completely disagree"
                2 "Mostly disagree"
                3 "Mostly agree"
                4 "Completely agree"
                .
                 EXECUTE.
        
*USlosingCultureAndIdentity - 4 reverse code original, deal with non-response.

     COMPUTE USlosingCultureAndIdentity = 5 -Q11_e.
            IF Q11_e = -1    USlosingCultureAndIdentity = $SYSMIS. 
            VARIABLE LABELS USlosingCultureAndIdentity 
                 "Today, America is in danger of losing its culture and identity?"
                  .
                 EXECUTE.				
            VALUE LABELS USlosingCultureAndIdentity
                1 "Completely disagree"
                2 "Mostly disagree"
                3 "Mostly agree"
                4 "Completely agree"
                .
                 EXECUTE.
        

*Copy the dataset before you run this code and work the copy!!!
*Sample command to delete variables. 

MATCH FILES
FILE = * /
KEEP = Respid
kp_weight
Q11_e
USlosingCultureAndIdentity
Q11_b
GodGivesUSspecialRole4
educ5 
gender Male
partyID Republican NotDemOrRep Democrat
religion13 EvanChristian attend EvanProt
age 
race white .
